/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workovertimeform.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workovertimeform.entity.WorkOvertimeForm;

import java.util.List;
import java.util.Map;

/**
 * 加班申请DAO接口
 * @author 丁旭
 * @version 2017-04-26
 */
@MyBatisDao
public interface WorkOvertimeFormDao extends CrudDao<WorkOvertimeForm> {

	
	/**
	 * 更新流程实例ID
	 * @param workOvertimeForm
	 * @return
	 */
	public int updateProcessInstanceId(WorkOvertimeForm workOvertimeForm);

	/**
	 * 更新实际开始结束时间
	 * @param workOvertimeForm
	 * @return
	 */
	public int updateRealityTime(WorkOvertimeForm workOvertimeForm);

    /**
     * 获取当天出差list
     * @param workOvertimeForm
     * @return
     */
    public List<WorkOvertimeForm> findByCompany(WorkOvertimeForm workOvertimeForm);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public WorkOvertimeForm getByProcessInstanceId(String processInstanceId);

    List getCreateDateList(Map<String, String> map);

    List<WorkOvertimeForm> findByCompany2(Map<String, Object> map);
	public List getCreateDateList1(Map<String,String> map);
	public List findByCompany1(Map<String,String> map);
	public List getCreateDateListAll(Map<String,String> map);
	public List findByCompanyAll(Map<String,String> map);
	public List<WorkOvertimeForm> findByManage(Map<String,Object> map);
	public List<WorkOvertimeForm> findByCompanySelf(Map<String,Object> map);
}